Bug 1574253 - Internal compiler error on Qt header in context of PySide project
Summary: Internal compiler error on Qt header in context of PySide project
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 22:32 UTC by Neil Hodgson
Modified: 2018-08-10 14:08 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-10 14:08:06 UTC
Type: Bug


Attachments (Terms of Use)
Preprocessed source of ICE (4.18 MB, text/x-csrc)
2018-05-02 22:32 UTC, Neil Hodgson
no flags Details

Description Neil Hodgson 2018-05-02 22:32:24 UTC
Created attachment 1430356 [details]
Preprocessed source of ICE

Description of problem:


Version-Release number of selected component (if applicable): gcc 8.0.1 20180324 (Red Hat 8.0.1-0.20)


How reproducible: Always


Steps to Reproduce:
1. dnf install qt-creator python-devel shiboken-devel python-pyside-devel
2. Download and expand https://www.scintilla.org/scintilla404.tgz
3. cd scintilla/qt/ScintillaEditPy
4. python sepbuild.py


Actual results:

qmake-qt4 
make 
g++ -c -pipe -Wno-register -Wno-unused-parameter -Wno-empty-body -Wno-deprecated-declarations --std=gnu++17 -O2 -Wall -W -D_REENTRANT -fPIC -DSCINTILLA_QT=1 -DMAKING_LIBRARY=1 -DSCI_LEXER=1 -D_CRT_SECURE_NO_DEPRECATE=1 -DNDEBUG=1 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib64/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include -I../ScintillaEdit -I../ScintillaEditBase -I../../include -I../../lexlib -I../../src -I/usr/include/python2.7 -I/usr/include/shiboken -I/usr/include/PySide -I/usr/include/PySide/QtCore -I/usr/include/PySide/QtGui -I. -o scintillaeditpy_module_wrapper.o ScintillaEditPy/scintillaeditpy_module_wrapper.cpp
In file included from /usr/include/QtGui/qabstractitemview.h:47,
                 from /usr/include/QtGui/qtreeview.h:45,
                 from /usr/include/QtGui/qtreewidget.h:45,
                 from /usr/include/PySide/QtGui/pyside_qtgui_python.h:65,
                 from ScintillaEditPy/scintillaeditpy_python.h:16,
                 from ScintillaEditPy/scintillaeditpy_module_wrapper.cpp:6:
/usr/include/QtGui/qitemselectionmodel.h: In member function ‘QModelIndex QItemSelectionRange::topLeft() const’:
/usr/include/QtGui/qitemselectionmodel.h:76:63: internal compiler error: in build_over_call, at cp/call.c:8240
     inline QModelIndex topLeft() const { return QModelIndex(tl); }
                                                               ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccI6Z5z3.out file, please attach this to your bugreport.
make: *** [Makefile:575: scintillaeditpy_module_wrapper.o] Error 1
Failed in make  return code = 2

Expected results:

Some warnings but no ICE.


Additional info:

Attached preprocessed file as indicated.

Comment 1 Marek Polacek 2018-05-03 13:48:06 UTC
This is c++/85215, fixed in r259123 and gcc-8.0.1-0.21.  Will by fixed by the next update.

Comment 2 Marek Polacek 2018-08-10 14:08:06 UTC
As per Comment 1.


Note You need to log in before you can comment on or make changes to this bug.